local refresh_every = 2 -- Seconds
local next_refresh = 0
local viewport = managers.viewport

if BeardLib._updaters.textures_refresh then
    BeardLib:RemoveUpdater("textures_refresh")
else
    BeardLib:AddUpdater("textures_refresh", function(t, dt)
        if next_refresh < t then
            viewport._render_settings_change_map = {resolution = RenderSettings.resolution}
            next_refresh = t + refresh_every
        end
    end, true)
end